Subject: debsign: signing fails randomly for some packages built with sbuild on hppa

From: John David Anglin <[email-masked]>
Date: Sat, 02 Mar 2019 13:18:05 -0500

Package: devscripts
Version: 2.19.3
Severity: normal

Dear Maintainer,

I don't know if this is a problem in debsign or not but signing fails
randomly for some packages.  I have a feeling that the failure occurs
mostly for packages that don't take much time to build.

Here is an example from a recent metar build:
https://buildd.debian.org/status/fetch.php?pkg=metar&arch=hppa&ver=20190227.1-1&stamp=1551547714&raw=0

+------------------------------------------------------------------------------+
| Summary                                                                      |
+------------------------------------------------------------------------------+

Build Architecture: hppa
Build Type: any
Build-Space: n/a
Build-Time: 47
Distribution: sid
Host Architecture: hppa
Install-Time: 69
Job: metar_20190227.1-1
Machine Architecture: hppa
Package: metar
Package-Time: 232
Source-Version: 20190227.1-1
Space: n/a
Status: successful
Version: 20190227.1-1
--------------------------------------------------------------------------------
Finished at 2019-03-02T17:27:55Z
Build needed 00:03:52, no disk space
Signature with key 'E04E8E9D23705BB511E05D6382583F4A818EA3F9' requested:
 signfile buildinfo /home/buildd/build/metar_20190227.1-1_hppa.buildinfo E04E8E9D23705BB511E05D6382583F4A818EA3F9
gpg: can't connect to the agent: IPC connect call failed
gpg: keydb_search failed: No agent running
gpg: skipped "E04E8E9D23705BB511E05D6382583F4A818EA3F9": No agent running
gpg: /tmp/debsign.lU8FaRy9/metar_20190227.1-1_hppa.buildinfo: clear-sign failed: No agent running
debsign: gpg error occurred!  Aborting....

I did a give-back and metar was successfully signed:
https://buildd.debian.org/status/fetch.php?pkg=metar&arch=hppa&ver=20190227.1-1&stamp=1551549881&raw=0

The problem started around Dec. 15, 2018.  The hppa buildds generally run
current software from sid.

Regards,
Dave Anglin

-- Package-specific info:

--- /etc/devscripts.conf ---

--- ~/.devscripts ---
Not present

-- System Information:
Debian Release: buster/sid
  APT prefers buildd-unstable
  APT policy: (500, 'buildd-unstable'), (500, 'unstable')
Architecture: hppa (parisc64)

Kernel: Linux 4.14.104+ (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE=C (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages devscripts depends on:
ii  dpkg-dev              1.19.5
ii  fakeroot              1.23-1
ii  file                  1:5.35-3
ii  gnupg                 2.2.12-1
ii  gnupg2                2.2.12-1
ii  gpgv                  2.2.12-1
ii  libc6                 2.28-7
ii  libfile-homedir-perl  1.004-1
ii  libfile-which-perl    1.23-1
ii  libipc-run-perl       20180523.0-1
ii  libmoo-perl           2.003004-2
ii  libwww-perl           6.36-1
ii  patchutils            0.3.4-2
ii  perl                  5.28.1-4
ii  python3               3.7.2-1
ii  sensible-utils        0.0.12
ii  wdiff                 1.2.2-2+b1

Versions of packages devscripts recommends:
ii  apt                         1.8.0~rc4
ii  at                          3.1.23-1
ii  curl                        7.64.0-1
ii  dctrl-tools                 2.24-3
ii  debian-keyring              2019.02.25
ii  dupload                     2.9.4
ii  equivs                      2.2.0
ii  libdistro-info-perl         0.21
ii  libdpkg-perl                1.19.5
ii  libencode-locale-perl       1.05-1
ii  libgit-wrapper-perl         0.048-1
ii  libgitlab-api-v4-perl       0.16-1
ii  liblist-compare-perl        0.53-1
ii  liblwp-protocol-https-perl  6.07-2
ii  libsoap-lite-perl           1.27-1
ii  libstring-shellquote-perl   1.04-1
ii  libtry-tiny-perl            0.30-1
ii  liburi-perl                 1.76-1
ii  licensecheck                3.0.31-3
ii  lintian                     2.9.1
ii  man-db                      2.8.5-2
ii  patch                       2.7.6-3
ii  python3-apt                 1.8.3
ii  python3-debian              0.1.34
ii  python3-magic               2:0.4.15-2
ii  python3-requests            2.21.0-1
ii  python3-unidiff             0.5.4-1
ii  python3-xdg                 0.25-5
ii  strace                      4.15-2
ii  unzip                       6.0-22
ii  wget                        1.20.1-1
ii  xz-utils                    5.2.4-1

Versions of packages devscripts suggests:
pn  adequate                                  <none>
ii  autopkgtest                               5.10
pn  bls-standalone                            <none>
ii  bsd-mailx [mailx]                         8.1.2-0.20180807cvs-1
ii  build-essential                           12.6
pn  check-all-the-things                      <none>
pn  cvs-buildpackage                          <none>
ii  debhelper                                 12.1.1
pn  devscripts-el                             <none>
pn  diffoscope                                <none>
pn  disorderfs                                <none>
pn  dose-extra                                <none>
pn  duck                                      <none>
ii  faketime                                  0.9.7-3
ii  gnuplot                                   5.2.6+dfsg1-1
ii  gnuplot-qt [gnuplot]                      5.2.6+dfsg1-1
pn  how-can-i-help                            <none>
ii  libauthen-sasl-perl                       2.1600-1
pn  libdbd-pg-perl                            <none>
ii  libfile-desktopentry-perl                 0.22-1
pn  libnet-smtps-perl                         <none>
ii  libterm-size-perl                         0.209-1+b1
ii  libtimedate-perl                          2.3000-2
ii  libyaml-syck-perl                         1.31-1+b1
ii  mailutils [mailx]                         1:3.5-2
ii  mozilla-devscripts                        0.53
ii  mutt                                      1.10.1-2
ii  openssh-client [ssh-client]               1:7.9p1-9
pn  piuparts                                  <none>
ii  postgresql-client-10 [postgresql-client]  10.5-1+b2
ii  postgresql-client-11 [postgresql-client]  11.2-1
ii  quilt                                     0.65-3
pn  ratt                                      <none>
pn  reprotest                                 <none>
ii  svn-buildpackage                          0.8.7
ii  w3m                                       0.5.3-37

-- no debconf information